Error accessing the actions of previous recordings after upgrading to 1.3.0

Hi @ ashapkina, follow the attached file.

For new recordings this problem does not happen.

I await your return.

Thank you.

processo1.rar (87.9 KB)

@marcio_jesus Thanks, we’ll have a look.

1 Like

@marcio_jesus Does this happen only to recordings that migrated from 1.1.5 or is it the same for recordings that you create using 1.3.0?

@marcio_jesus This is a bug in migrating actions that were recorded. We have fixed it for the next release. We are expecting to release it next week.

Ok, thank you @ashapkina

Marcio, we have fixed this bug in RPA Express 1.4.0.

1 Like

Great @ashapkina. I’ll update.

Thx!

1 Like

@ashapkina, Nothing changed. The problem still persists.

What should I do?

@marcio_jesus This might happen because you previously tried to open the recording in version 1.3.0.

Please try this workaround:

  • backup your recording folder, just in case
  • in the folder you have the recording file created in version 1.1.5: processo1.rpae.1_1_5_GA. Add .rpae extension to the name of the file
  • refresh the media files tab, and open processo1.rpae.1_1_5_GA.rpae

The recording should migrate seamlessly to the version 1.4.0, and all actions should be accessible for editing.
Let me know if it doesn’t work.

@marcio_jesus Did the workaround above help?

This process was created in RPA1.3.0. I migrated it to the new version(RPA1.4.0). It shows loading for Enter Keystroke and Write to file in this process.

After migrating i even refreshed the media files. Still it is like this

Regards,
Abhaya

@abhaya_jeyar Could you post this recording here?

total.zip (2.6 KB)

I have attached the file.

Thanks.

Is anything wrong that am doing? Why is it loading?

@abhaya_jeyar Did you edit the code of the recording manually?

I just changed the version number

Which version number was there originally?

Version Rpa1.3.0

Was it created directly in 1.3.0? Or did you create it in some earlier version and then migrate to 1.3.0?

Might be i am not sure of it now.